#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, a;

    double p;

    cout << fixed << setprecision(3);

    cin >> n;

    vector<pair<double, int>> f;
    vector<double> z;

    for(int i = 0; i < n; i++)
    {
        cin >> a >> p;
        f.push_back(make_pair(p, a));
    }

    sort(f.begin(), f.end());

    double s;
    for(int i = 0; i < n; i++)
    {
        s = 0;

        for(int j = i; j < n; j++)
        {
            s += (double)f[j].second * double(f[i].first / 100.00);
        }
        z.push_back(s);
    }

    sort(z.begin(), z.end());

    cout << z[n-1];

    return 0;
}